D4Science Infrastructure - Task #11825

Setup New gateway performfish.d4science.net
May 22, 2018 05:51 PM - Massimiliano Assante

Status: Closed Start date: Jul 02, 2018
Priority: High Due date: Jul 06, 2018
Assignee: _InfraScience Systems Engineer % Done: 100%
Category: Estimated time: 0.00 hour
Target version: No

Infrastructure: Production

Description

We need to setup a new gateway on liferay cluster and that would respond to https://performfish.d4science.org

Please start by requesting the ssl certificate

Subtasks:

Task # 12098: Production Gateways PerformFISH Site creation and Theme Closed
Task # 12121: Enable Google and LinkedIn SSO on PerformFISH Gateway PerformFISH Closed
History

#1 - May 23, 2018 11:55 AM - Andrea Dell'Amico

We have huge problems to add certificates in the d4science.org domain where other certificates are already present. Is performfish.d4science.net an
option? If not, we could try a wildcard certificate (we could be forced to switch to a different letsencrypt client). That is going to take a few days,
starting from the next tuesday.

#2 - May 23, 2018 11:59 AM - Massimiliano Assante

can you take the place of edison.d4science.org? we don't need that anymore. And no, performfish.d4science.net is not an option for this case.

#3 - May 23, 2018 12:07 PM - Andrea Dell'Amico

Unfortunately not, it does not work that way.

| was sure that | already opened a ticket to explore the wildcards option, but it seems I'm wrong.

#4 - May 23, 2018 12:21 PM - Andrea Dell'Amico
- Blocked by Task #11831: Explore new letsencrypt clients to add wildcard certificates support added

#5 - May 29, 2018 06:24 PM - Andrea Dell'Amico

- Status changed from New to In Progress

| just added the hostname. The certificate will have to wait.

#6 - Jun 20, 2018 02:42 PM - Massimiliano Assante

How long we still have to wait? We need this soon @andrea.dellamico@isti.cnr.it

#7 - Jul 02, 2018 04:25 PM - Massimiliano Assante
- % Done changed from 0 to 30

#8 - Jul 02, 2018 04:44 PM - Andrea Dell'Amico

Andrea Dell'Amico wrote:

| just added the hostname. The certificate will have to wait.

We are still unable to obtain a valid certificate. As soon as it will possible, the wildcard certificate will be deployed on the load balancer.

#9 - Jul 06, 2018 04:02 PM - Massimiliano Assante

The PerformFISH Gateway is ready, https:/performfish.d4science.org however we are still waiting for the SSL Certificate to be validated, untile then
we cannot disclose it.

#10 - Jul 06, 2018 05:25 PM - Andrea Dell'’Amico

I'm still waiting for at least a day without the embargo. | cannot foresee it, | don't know how many certifcates are going to be renewed in the next days.
I only have a list of the certificates emitted until yesterday, here: https://crt.sh/?q=%.d4science.org

#11 - Jul 10, 2018 04:53 PM - Gianpaolo Coro

Hi all, people of PerformFish are pushing to have the portal available with the SSL certificate. When can we make it available?

#12 - Jul 10, 2018 05:05 PM - Andrea Dell'Amico

As we are not able to obtain a certificate under the d4science.org domain, has just been decided to use the performfish.d4science.net name.

#13 - Jul 10, 2018 05:11 PM - Massimiliano Assante

@andrea.dellamico@isti.cnr.it please let us know when the certificate for https://performfish.d4science.net/ is ready

#14 - Jul 10, 2018 05:49 PM - Andrea Dell'Amico

The certificate is ready and installed.

#15 - Jul 10, 2018 05:52 PM - Massimiliano Assante

and the gateway is up and running

https://performfish.d4science.net

#16 - Jul 11,2018 11:13 AM - Massimiliano Assante
- Blocked by deleted (Task #11831: Explore new letsencrypt clients to add wildcard certificates support)

#17 - Jul 11,2018 11:14 AM - Massimiliano Assante

- Subject changed from Setup New gateway performfish.d4science.org to Setup New gateway performfish.d4science.net

#18 - Jul 11,2018 11:14 AM - Massimiliano Assante

- Status changed from In Progress to Closed
